//-----------------------------------------------------------------------
// <copyright file=" cof_director.cs">
// * FileName: cof_director.cs
// * history : Created by T4 2019-03-22 15:48:55 
// </copyright>
//-----------------------------------------------------------------------
using System;
using Performance.EntityModels;

namespace Performance.Repository
{
    /// <summary>
    /// cof_director Repository
    /// </summary>
    public class PerforCofdirectorRepository : PerforRepository<cof_director>
    {
		public PerforCofdirectorRepository(PerformanceDbContext context) : base(context)
        {
        }
        public int DeleteData(int allotId)
        {
            return Execute("delete from im_accountbasic where allotid=@allotid;" +
                           "delete from im_data where allotid=@allotid;" +
                           "delete from im_employee where allotid=@allotid;" +
                           "delete from im_header where allotid=@allotid;" +
                           "delete from im_specialunit where allotid=@allotid;" +
                           "delete from per_allot where allotid=@allotid;" +
                           "delete from per_sheet where allotid=@allotid;" +
                           "delete from res_accountdoctor where allotid=@allotid;" +
                           "delete from res_accountnurse where allotid=@allotid;" +
                           "delete from res_baiscnorm where allotid=@allotid;" +
                           "delete from res_compute where allotid=@allotid;" +
                           "delete from res_specialunit where allotid=@allotid;"
                           , new { allotid = allotId });
        }
    }
}
